Module java.base
Package java.nio.file

## Class ProviderMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.nio.file.ProviderMismatchException

All Implemented Interfaces:
  `Serializable`

    public class ProviderMismatchException
    extends IllegalArgumentException

Unchecked exception thrown when an attempt is made to invoke a method on an object created by one file system provider with a parameter created by a different file system provider.

Since:
  1.7
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProviderMismatchException()` Constructs an instance of this class.
`ProviderMismatchException​(String msg)` Constructs an instance of this class.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProviderMismatchException

    public ProviderMismatchException()

Constructs an instance of this class.

#### ProviderMismatchException

    public ProviderMismatchException​(String msg)

Constructs an instance of this class.

Parameters:
  `msg` - the detail message